Page MenuHomePhabricator

Add ru:wikisource in welcome.py
Closed, DeclinedPublic

Description

Please add "{{bigwelcome|%s}}" for ru:wikisource in netext section.

Event Timeline

dima_st_bk raised the priority of this task from to Needs Triage.
dima_st_bk updated the task description. (Show Details)
dima_st_bk added a subscriber: dima_st_bk.
Restricted Application added subscribers: Aklapper, Unknown Object (MLST). · View Herald TranscriptJan 20 2015, 11:19 AM
dima_st_bk triaged this task as Normal priority.Jan 20 2015, 11:19 AM
dima_st_bk set Security to None.
jayvdb added a subscriber: Mpaa.

I dont see wikisource at all in welcome.py , for any language. Has there been discussion on Wikisource about welcome bots , etc.

A simple patch list this can be added using https://tools.wmflabs.org/gerrit-patch-uploader/

We could add 'subst:welcome' as the default for all wikisource ? And bigwelcome as an override for ru.ws.

We would have to ask the community what they want to do. I don't believe that the community finds the tasks too burdensome.

FWIW We don't subst it at enWS, we keep it as an active template.

jayvdb moved this task from Backlog to Needs Review on the Pywikibot board.Feb 14 2015, 4:43 AM

As a more general comment about welcoming, and from bots.

  • people do seem to like the personal welcome, I get numbers of newbies

popping past my talk page afterwards, and from established users often a
thanks, especially at Wikisource.

  • stewards have noticed that bot welcomes at problematic account names,

especially with abusive, etc., are a clean-up issue and sometimes quite
messy, so we really recommend a significant delay between join and bot
welcome.

Are subst: of welcome, can that be switchable? At enWS we no longer
substitute.

@dima_st_bk, could you ask the Russian Wikisource community if they want welcome bots on their wiki?

@Billinghurst, welcome.py can have an optional default value for all wikisource sites , and then specific wikitext for each wiki site where that site uses a different syntax for welcoming new users.

if there is no consensus that most wikisource sites want welcome bots, only individual wikisource sites should have a configuration added for only their wiki.

Xqt closed this task as Declined.May 7 2016, 4:52 AM
Xqt added a subscriber: Xqt.

No consensus recognizable